Package javassist.util.proxy

# Interface ProxyObject

All Superinterfaces:
  `Proxy`

public interface ProxyObject extends Proxy
The interface implemented by proxy classes. This interface is available only if the super class of the proxy object does not have a `getHandler()` method. If the super class has `getHandler`, then `Proxy` interface is available.

See Also:
  - `ProxyFactory`
  - `Proxy`

## Method Summary

Modifier and Type
Method
Description
`MethodHandler`
`getHandler()`
Get the handler.
`void`
`setHandler(MethodHandler mi)`
Sets a handler.

## Method Details

### setHandler

void setHandler(MethodHandler mi)
Sets a handler. It can be used for changing handlers during runtime.

Specified by:
  `setHandler` in interface `Proxy`

### getHandler

MethodHandler getHandler()
Get the handler. This can be used to access the underlying MethodHandler or to serialize it properly.

See Also:
  - `ProxyFactory.getHandler(Proxy)`